//--------------------------------------------------------------------------//
// iq . 2003 . code for the Paradise 64 kb intro by RGBA                    //
//--------------------------------------------------------------------------//

#ifndef _EXTENSIONES_H_
#define _EXTENSIONES_H_

#ifdef WINDOWS
#define WIN32_LEAN_AND_MEAN
#define WIN32_EXTRA_LEAN
#include <windows.h>
#endif
#include <GL/gl.h>
#include "glext.h"


#ifdef DEBUG
extern void *myglfunc[12];
#else
extern void *myglfunc[9];
#endif


#define oglCreateProgramObjectARB  ((PFNGLCREATEPROGRAMOBJECTARBPROC)myglfunc[0])
#define oglCreateShaderObjectARB   ((PFNGLCREATESHADEROBJECTARBPROC)myglfunc[1])
#define oglShaderSourceARB         ((PFNGLSHADERSOURCEARBPROC)myglfunc[2])
#define oglCompileShaderARB        ((PFNGLCOMPILESHADERARBPROC)myglfunc[3])
#define oglAttachObjectARB         ((PFNGLATTACHOBJECTARBPROC)myglfunc[4])
#define oglLinkProgramARB          ((PFNGLLINKPROGRAMARBPROC)myglfunc[5])
#define oglUseProgramObjectARB     ((PFNGLUSEPROGRAMOBJECTARBPROC)myglfunc[6])
#define oglUniform4fvARB           ((PFNGLUNIFORM4FVARBPROC)myglfunc[7])
#define oglUniform1iARB            ((PFNGLUNIFORM1IARBPROC)myglfunc[8])
#ifdef DEBUG
#define oglGetUniformLocationARB   ((PFNGLGETUNIFORMLOCATIONARBPROC)myglfunc[9])
#define oglGetObjectParameterivARB ((PFNGLGETOBJECTPARAMETERIVARBPROC)myglfunc[10])
#define oglGetInfoLogARB           ((PFNGLGETINFOLOGARBPROC)myglfunc[11])
#endif



// init
int EXT_Init( void );

#endif
