# Kinderpainter by RGBA

------

This is a 3.8 kilobytes demo I made in 2006. It shows a realtime raytracer implemented in a pixel shader and procedural textures, which was something unsual you see at the time (this was 7 years before Shadertoy existed). I wrote the music for this one.

You can find the executable binary on [Pouet](https://www.pouet.net/prod.php?which=26751), but here you have the source code for it.

## Usage

First, you will need to download [Crinkler](https://github.com/runestubbe/Crinkler/releases) and copy link.exe next to the solution file, at the root of the project folder.

Then, load the solution in Visual Studio, and build. The Debug configuration won't produce a 4 kilobytes demo, but can be used to debug things somehow more easily. The Release configuration will produce the 4 kilobytes demo (3.8k actually).

The Video configuration can be used to spit out a video as a sequence of BMP images.

The demo runs in 1920x1080, and uses OpenGL 3.0 with extensions, because that's all that existed back in 2006. A lot of space could be saved by converting this to OpenGL 4.5 and GLSL 450, but well, again, since the file is 3.8k and the competitin limit is 4kb, there's no need to do any such port until drivers deprecate such APIs.


## Requirements

* [Visual Studio 2019](https://visualstudio.microsoft.com)
* [Crinkler](https://github.com/runestubbe/Crinkler/releases)

## License

* MIT license

## Credits

* iq - [Inigo Quilez](https://iquilezles.org/)



