#include <math.h>
#include "funcs.h"

void generate1( unsigned char *icol, float x, float y )
{
    float f, g;
    float fcol[3];

    f = TURB_Turbulence( x, y, 4 ); 
    f = sinf(12.2831f*f);
    //fcol[0] = 195.0f + 42.0f*f;
    //fcol[1] = 193.0f + 40.5f*f;
    //fcol[2] = 204.0f + 51.0f*f;
/*
    fcol[0] = 215.0f + 20.0f*f;
    fcol[1] = 200.0f + 20.5f*f;
    fcol[2] = 225.0f + 30.0f*f;
*/
    fcol[0] = 215.0f + 40.0f*f;
    fcol[1] = 210.0f + 25.0f*f;
    fcol[2] = 215.0f + 20.0f*f;

    f = TURB_Turbulence( x, y, 16 ); 
    f = f*f;
    f = f*f;
    g = 0.8f + 0.2f*noise2d(x, y, 128);
    for( int i=0; i<3; i++ )
        {
        //fcol[i] += 255.0f*f;
        fcol[i] += 160.0f*f;
        fcol[i] *= g;

        int v = (int)fcol[i];
        if( v>255 ) v=255;
        icol[i] = v;
        }
}
